package com.yeejoin.equipmanage.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yeejoin.equipmanage.common.entity.RiskSourceScene;
import com.yeejoin.equipmanage.common.entity.vo.PersonVo;
import com.yeejoin.equipmanage.common.entity.vo.PointTreeVo;
import com.yeejoin.equipmanage.common.entity.vo.RiskSourceTreeVO;

import java.util.List;

/**
 * @author DELL
 */
public interface RiskSourceSceneMapper extends BaseMapper<RiskSourceScene> {
    List<RiskSourceTreeVO> getRiskSources(String compCode);
    List<RiskSourceTreeVO> getVideo(Long sourceId);
    List<RiskSourceTreeVO> getImportantEquip(Long sourceId);
    List<PointTreeVo> getAllImportantEquip();
}
